Subject: bug#62720: 29.0.60; Not easy at all to upgrade :core packages like Eglot

From: Philip Kaludercic <[email-masked]>
Date: Thu, 20 Apr 2023 18:24:13 +0000

Robert Pluim <[email-masked]> writes:

>>>>>> On Thu, 20 Apr 2023 17:25:49 +0300, Eli Zaretskii <[email-masked]> said:
>
>     Eli> "We" never did want that.  João did, for obvious reasons, but that was
>     Eli> never my intent.  The issue is indeed more general: what should
>     Eli> package-install and package.el in general do with built-in packages
>     Eli> for which a newer version is on ELPA?  We don't yet know the answer to
>     Eli> that, and no hope of obtaining one before Emacs 29.1 is released
>     Eli> (barring any calamities).
>
> "We" may not know that, but by the principle of not giving me things *I*
> didnʼt ask for, *I* donʼt want ':core' packages being automatically
> upgraded, unless I either
>
> 1. explicitly ask for such an upgrade
> 2. have myself somehow installed a newer version already, in which case
>   itʼs no longer a ':core' package
>
> Iʼve not checked, but does whatʼs currently in emacs-29 not give us at
> least [1]?

Yes, this is currently provided by C-u M-x package-install.  2. should
(?) have always been the case.

> Robert